
import 'package:chat/photo/delegate/loading_delegate.dart';
import 'package:chat/photo/delegate/sort_delegate.dart';
import 'package:flutter/material.dart';

class Options {
  final int rowCount;

  final int maxSelected;

  final double padding;

  final double itemRadio;

  final Color themeColor;

  final Color dividerColor;

  final Color textColor;

  final Color disableColor;

  final int thumbSize;

  final SortDelegate sortDelegate;

  final LoadingDelegate loadingDelegate;

  final PickType pickType;

  const Options({
    this.rowCount,
    this.maxSelected,
    this.padding,
    this.itemRadio,
    this.themeColor,
    this.dividerColor,
    this.textColor,
    this.disableColor,
    this.thumbSize,
    this.sortDelegate,
    this.loadingDelegate,
    this.pickType,
  });
}

enum PickType {
  all,
  onlyImage,
  onlyVideo,
}
